<?php
    $_header = Mage::app()->getLayout()->getBlock('page_content_heading')->getContentHeading();
    $_content = Mage::app()->getLayout()->getBlock('cms_page')->toHtml();
    if (Mage::registry('blogId')) {
        $_blogTpl = Mage::helper('designer')->createTemplate('blog', Mage::registry('blogId'));
        $_blogTpl->setArticles(
                 array(
                     array(
                         'header' => $_header,
                         'content' => $_content
                     )
                 )
        );
        echo $_blogTpl->toHtml();
    } else {
        echo $_content;
    }
?>